#bin/bash
cd 
_p=`ps -ef | grep redis | grep -v grep | awk '{print $2}'`

for x in $_p
do
	echo "kill redis $x"
	kill -9 $x
	sleep 0.5
done

redis-server /home/quant_group/redis/redis1.conf
redis-server /home/quant_group/redis/redis2.conf
redis-server /home/quant_group/redis/redis3.conf
redis-server /home/quant_group/redis/redis4.conf
redis-server /home/quant_group/redis/redis5.conf

if [ $? = 0 ];then echo restart redis ok~;fi
